Subject: bug#15926: RFE: unlink command already uses 'unlink' call; make 'rm' use 'remove' call

From: Bob Proulx <[email-masked]>
Date: Thu, 21 Nov 2013 10:50:25 -0700

Eric Blake wrote:
> Pádraig Brady wrote:
> > as I don't see it as specific to rm.
> > I.E. other tools like chmod etc would have the same requirement,
> > and they might be handled with various shell globbing constructs.
> > Even more generally find(1) could be used to handle arbitrarily
> > many files and commands that don't support recursion internally.
> > 
> > Could you explain why rm would get this and say chmod would not?

Argh!  Feature creep!

The reason that rm should have it but chmod should not is that it is
to work around the POSIX nanny rule around '.' and '..'.  Chmod does
not have such a nanny rule and therefore does not need that option.

> Ideally, any command that implements recursion should have the option to
> operate on children only.  You are correct that rm should not be special
> in this regards, so yes, I think chmod should also get it.

This is actually the best argument against it.  It is a slippery
slope.  Let's not implement 'find' all over again.

Bob